#include "weapon_muzzle.hpp"
#include "character_actor.hpp"
#include "utils/godot_macros.h"

namespace godot {
void WeaponMuzzle::_bind_methods() {
#define CLASSNAME WeaponMuzzle
}

void WeaponMuzzle::_enter_tree() { GDGAMEONLY();
    CharacterActor *owner = Object::cast_to<CharacterActor>(this->get_owner());
    if(!owner)
        return;
    owner->set_weapon_muzzle(this);
}
}
